#
# spec file for package puddletag
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           puddletag
Version:        1.2.0
Release:        lp152.3.3
Summary:        An audio tag editor
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://docs.puddletag.net
Source0:        https://github.com/keithgg/puddletag/releases/download/v%{version}/puddletag-%{version}.tar.gz
Patch0:         fix-puddletag-wrong-shebang.patch
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
Requires:       python-configobj
Requires:       python-mutagen
Requires:       python-pyparsing
Requires:       python-qt4
BuildArch:      noarch
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
puddletag is an audio tag editor (primarily created) for GNU/Linux similar
to the Windows program, Mp3tag. Unlike most taggers for GNU/Linux, it uses
a spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable. The usual tag editor features are supported
like extracting tag information from filenames, renaming files based on
their tags by using patterns and basic tag editing. Then there’re
Functions, which can do things like replace text, trim it, do case
conversions, etc. Actions can automate repetitive tasks. Doing web lookups
using Amazon (including cover art), Discogs (does cover art too!), FreeDB
and MusicBrainz is also supported. There’s quite a bit more, but I’ve
reached my comma quota. Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4,
m4a, etc.), VorbisComments (ogg, flac), Musepack (mpc), Monkey’s Audio
(.ape) and WavPack (wv).

%prep
%setup -q
%patch0 -p1

%build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}
%suse_update_desktop_file %{name} Mixer

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc HACKING README TODO copyright changelog
%{_bindir}/puddletag
%{python_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Mon Jun 19 2017 wbauer@tmo.at
- Remove python-sip requirement again. It is actually python-qt4
  that requires it and the dependencies there have been fixed
  meanwhile (boo#1037475)
* Mon May 29 2017 mpluskal@suse.com
- Update dependencies
- Update url
- Use source url
- Cleanup spec file with spec-cleaner
* Mon May 29 2017 wbauer@tmo.at
- Require python-sip, apparently it won't start without
  (boo#1039506)
* Tue Jan 17 2017 alarrosa@suse.com
-  Update to version 1.2.0
  * Additions:
  * Swedish translation
  * CJK Encoding for Encoding Conversion Function
  * Spanish translation
  * Changes:
  * Improved Amazon tag source album matching.
  * Czech translation
  * Fixes:
  * #280 Turn off auto-saving “Enter description here” description
    for cover art
  * Parsing tracks in Discogs if only a single artist
  * Setting user-agent for Tag Sources
  * Support for latest mutagen
- Changes in 1.1.0:
  * Fixes:
  * Playlists not getting loaded in certain cases
  * Discogs changed their API to allow OAuth. As a result you can now
    only lookup releases using their Discogs release id.
  * Plugins are now included in default install
  * Padding of total tracks number follows the same rules as padding
    a track number
  * Improved matching of Amazon resources
  * Filtering ‘simple’ values works again
  * Bug in regex functions where extra can get added
  * Changes:
  * Modified date is updated by default when saving
  * New:
  * Autonumbering has a bunch of new options
* Wed Oct 28 2015 rpm@fthiessen.de
- Fixed spec so it builds on all openSUSE versions:
  * Added suse_update_desktop macro to add needed category
  * Added post/un section for updating desktop-database
  * shrank files section to needed
  * Added fix-puddletag-wrong-shebang.patch to fix wrong shebangs
    (No shebangs in modules, only in executable scripts)
* Fri Apr  3 2015 seiler@b1-systems.de
- added additional requirements
* Fri Apr  3 2015 seiler@b1-systems.de
- initial commit
